import request from "@/common/request.js";
/* 权限 */
//删除权限
export function deleteMenu(data) {
  return request({
    url: `sysMenu/delete/${data}`,
    method: "post",
  });
}
//新增权限
export function saveMenu(data) {
  return request({
    url: "sysMenu/save",
    method: "post",
    data,
  });
}
//修改权限
export function updateMenu(data) {
  return request({
    url: "sysMenu/update",
    method: "post",
    data,
  });
}

//分页查询权限
export function pageMenu(params) {
  return request({
    url: "sysMenu/page",
    method: "get",
    params,
  });
}
//批量查询权限
export function listMenu(params) {
  return request({
    url: "sysMenu/list",
    method: "get",
    params,
  });
}
//查询权限详情
export function detailMenu(params) {
  return request({
    url: "sysMenu/detail",
    method: "get",
    params,
  });
}

/* 角色 */

//删除
export function sysRoleDelete(data) {
  return request({
    url: `sysRole/delete/${data}`,
    method: "post",
  });
}
//新增
export function sysRoleSave(data) {
  return request({
    url: "sysRole/save",
    method: "post",
    data,
  });
}
//修改
export function sysRoleUpdate(data) {
  return request({
    url: "sysRole/update",
    method: "post",
    data,
  });
}

//分页查询
export function sysRolePage(params) {
  return request({
    url: "sysRole/page",
    method: "get",
    params,
  });
}
//批量查询
export function sysRoleList(params) {
  return request({
    url: "sysRole/list",
    method: "get",
    params,
  });
}
//查询详情
export function sysRoleDetail(params) {
  return request({
    url: "sysRole/detail",
    method: "get",
    params,
  });
}

/* 用户管理 */

//删除
export function usersDelete(data) {
  return request({
    url: `users/delete/${data}`,
    method: "post",
  });
}
//新增
export function usersSave(data) {
  return request({
    url: "users/save",
    method: "post",
    data,
  });
}
//修改
export function usersUpdate(data) {
  return request({
    url: "users/update",
    method: "post",
    data,
  });
}

//分页查询
export function usersPage(params) {
  return request({
    url: "users/page",
    method: "get",
    params,
  });
}
//批量查询
export function usersList(params) {
  return request({
    url: "users/list",
    method: "get",
    params,
  });
}
//查询详情
export function usersDetail(params) {
  return request({
    url: "users/detail",
    method: "get",
    params,
  });
}
//修改密码
export function usersReset(data) {
  return request({
    url: "users/reset/pass",
    method: "post",
    data,
  });
}

/* 组织管理 */
//查询组织
export function sysOrganizationList(params) {
  return request({
    url: "sysOrganization/list",
    method: "get",
    params,
  });
}
//组织详情
export function sysOrganizationDetail(params) {
  return request({
    url: "sysOrganization/detail",
    method: "get",
    params,
  });
}
//组织分页查询
export function sysOrganizationPage(params) {
  return request({
    url: "sysOrganization/page",
    method: "get",
    params,
  });
}
//新增组织
export function sysOrganizationSave(data) {
  return request({
    url: "sysOrganization/save",
    method: "post",
    data,
  });
}

//更新组织
export function sysOrganizationUpdate(data) {
  return request({
    url: "sysOrganization/update",
    method: "post",
    data,
  });
}

//删除组织
export function sysOrganizationDelete(id) {
  return request({
    url: `sysOrganization/delete/${id}`,
    method: "post",
  });
}

/* 组织用户 */
//组织成员
export function orgUserList(params) {
  return request({
    url: "org/user/list",
    method: "get",
    params,
  });
}

//删除组织成员
export function orgUserDelete(data) {
  return request({
    url: `org/user/delete`,
    method: "post",
    data,
  });
}
//添加用户到组织
export function orgUserAdd(data) {
  return request({
    url: `org/user/add`,
    method: "post",
    data,
  });
}

/* 组织职务管理 */
//删除职务
export function sysOrganizationDutiesDelete(id) {
  return request({
    url: `sysOrganizationDuties/delete/${id}`,
    method: "post",
  });
}

//职务详情
export function sysOrganizationDutiesDetail(params) {
  return request({
    url: "sysOrganizationDuties/detail",
    method: "get",
    params,
  });
}

//职务分页查询
export function sysOrganizationDutiesPage(params) {
  return request({
    url: "sysOrganizationDuties/page",
    method: "get",
    params,
  });
}

//职务新增
export function sysOrganizationDutiesSave(data) {
  return request({
    url: "sysOrganizationDuties/save",
    method: "post",
    data,
  });
}

//职务编辑
export function sysOrganizationDutiesUpdate(data) {
  return request({
    url: "sysOrganizationDuties/update",
    method: "post",
    data,
  });
}

/* 旅行团 */
//旅行团详情
export function getTeamInfoByTeamId(params) {
  return request({
    url: "team/getTeamInfoByTeamId",
    method: "get",
    params,
  });
}

//旅行团分页查询
export function teamPage(params) {
  return request({
    url: "team/page",
    method: "get",
    params,
  });
}

//旅行团保存
export function teamSave(data) {
  return request({
    url: "team/save",
    method: "post",
    data,
  });
}

//旅行团更新
export function teamUpdate(data) {
  return request({
    url: "team/update",
    method: "post",
    data,
  });
}

/* 名单管理 */
// data为服务端返回的流数据
export const exportExcel = (data, fileName) => {
  const blob = new Blob([data], { type: "application/vnd.ms-excel" });
  const link = document.createElement("a");
  if (
    !!window.ActiveXObject ||
    "ActiveXObject" in window ||
    navigator.userAgent.indexOf("Edge") > -1
  ) {
    navigator.msSaveBlob(blob, fileName);
  } else {
    link.style.display = "none";
    link.href = URL.createObjectURL(blob);
    link.download = fileName;
    document.body.appendChild(link);
    link.click();
    URL.revokeObjectURL(link.href); // 释放URL 对象
    document.body.removeChild(link);
  }
};
//删除
export function teamListDelete(data) {
  return request({
    url: `teamList/delete?id=${data}`,
    method: "post",
  });
}

//下载模板
export function teamListDownExcel(params) {
  return request({
    url: "teamList/downExcel",
    method: "get",
    params,
    responseType: "blob",
  });
}
//交换分组
export function teamListExchange(data) {
  return request({
    url: `teamList/exchange?teamId=${data.teamId}&sourceId=${data.sourceId}&targetId=${data.targetId}`,
    method: "post",
    data,
  });
}

//导入
export function teamListImport(data) {
  return request({
    url: "teamList/import",
    method: "post",
    data,
    "content-type": "multipart/form-data",
  });
}
//导入
export function baiduImport(data) {
  return request({
    url: "baidu/import",
    method: "post",
    data,
    "content-type": "multipart/form-data",
  });
}

//移动分组
export function teamListMoveGroup(data) {
  return request({
    url: `teamList/moveGroup?teamId=${data.teamId}&sourceId=${data.sourceId}&targetGroupId=${data.targetGroupId}`,
    method: "post",
    data,
  });
}

//证件拍照识别
export function teamListOcr(data) {
  return request({
    url: "teamList/ocr",
    method: "post",
    data,
  });
}

//证件拍照识别
export function baiduOcr(data) {
  return request({
    url: "baidu/ocr",
    method: "post",
    data,
  });
}

//分页查询
export function teamListPage(params) {
  return request({
    url: "teamList/page",
    method: "get",
    params,
  });
}

//保存
export function teamListSave(data) {
  return request({
    url: "teamList/save",
    method: "post",
    data,
  });
}
//批量保存
export function teamListSubmit(data) {
  return request({
    url: "teamList/submit",
    method: "post",
    data,
  });
}
//验证
export function teamListVerify(data) {
  return request({
    url: "teamList/verify",
    method: "post",
    data,
  });
}

//批量保存
export function teamListSaveBach(data) {
  return request({
    url: "teamList/saveBach",
    method: "post",
    data,
  });
}

//更新名单信息
export function teamListUpdate(data) {
  return request({
    url: "teamList/update",
    method: "post",
    data,
  });
}

/* 国家 */
export function countryPage(params) {
  return request({
    url: "country/page",
    method: "get",
    params,
  });
}

/* 分组 */
//组分页
export function groupList(params) {
  return request({
    url: "group/list",
    method: "get",
    params,
  });
}

//保存
export function groupSave(data) {
  return request({
    url: "group/save",
    method: "post",
    data,
  });
}
//批量保存
export function groupSaveBach(data) {
  return request({
    url: "group/saveBach",
    method: "post",
    data,
  });
}
/* 服务费查询 */
export function bizFeePricingRuleQuery(params) {
  return request({
    url: "bizFeePricingRule/query",
    method: "get",
    params,
  });
}

//错误信息管理
export function excelImportErrorPage(params) {
  return request({
    url: "excelImportError/page",
    method: "get",
    params,
  });
}
