import request from "@/common/request.js";
//乘客类型
export function ticketType(params) {
  return request({
    url: "biz/enum/ticketType",
    method: "get",
    params,
  });
}
//坐席类型
export function seatType(params) {
  return request({
    url: "biz/enum/seatType",
    method: "get",
    params,
  });
}
//订单状态
export function orderStatusType(params) {
  return request({
    url: "biz/enum/orderStatusType",
    method: "get",
    params,
  });
}
//证件类型
export function cardType(params) {
  return request({
    url: "biz/enum/cardType",
    method: "get",
    params,
  });
}
/* 车站信息 */
//车站模糊查询
export function trainStationDictFind(params) {
  return request({
    url: "trainStationDict/find",
    method: "get",
    params,
  });
}

//所有车站信息
export function listAll() {
  return request({
    url: "trainStationDict/list/all",
    method: "get",
    params: { isPopular: 1 },
  });
}

/* 车票信息查询功能 */
//直达查询
export function queryDirect(data) {
  return request({
    url: "train/ticket/query/direct",
    method: "post",
    data,
  });
}

//经停站查询
export function queryStation(data) {
  return request({
    url: "train/ticket/query/station",
    method: "post",
    data,
  });
}

//中转站查询
export function queryTransfer(data) {
  return request({
    url: "train/ticket/query/transfer",
    method: "post",
    data,
  });
}

//新增火车票订单
export function trainOrderSave(data) {
  return request({
    url: "trainOrder/save",
    method: "post",
    data,
  });
}

/* 车票订单查询 */
//车票列表
export function bizOrderPage(params) {
  return request({
    url: "bizOrder/page",
    method: "get",
    params,
  });
}

// 修改订单状态
export function statusUpdate(params) {
  return request({
    url: "bizOrder/order/status/update",
    method: "get",
    params,
  });
}

//确认支付
export function trainOrderPay(data) {
  return request({
    url: "trainOrder/pay",
    method: "post",
    data,
  });
}
//确认支付
export function trainOrderCancel(data) {
  return request({
    url: "trainOrder/cancel",
    method: "post",
    data,
  });
}
//订单详情
export function trainOrderDetail(params) {
  return request({
    url: "trainOrder/detail",
    method: "get",
    params,
  });
}

/* 改签 */
//人员查询
export function trainOrderChangeDetail(params) {
  return request({
    url: "trainOrderChange/detail",
    method: "get",
    params,
  });
}

//改签接口

export function tempSave(data) {
  return request({
    url: "trainOrderChange/temp/save",
    method: "post",
    data,
  });
}

//确认改签支付
export function trainOrderChangePay(data) {
  return request({
    url: "trainOrderChange/pay",
    method: "post",
    data,
  });
}
//退票确认
export function trainRefoundPay(data) {
  return request({
    url: "trainRefound/pay",
    method: "post",
    data,
  });
}
//获取退票明细
export function trainRefoundTempSave(data) {
  return request({
    url: "trainRefound/temp/save",
    method: "post",
    data,
  });
}

//出票结算统计
export function statisticsOrder(params) {
  return request({
    url: "train/statistics/order",
    method: "get",
    params,
  });
}
//出票列表
export function statisticsPageOrder(params) {
  return request({
    url: "train/statistics/page/order",
    method: "get",
    params,
  });
}
//退票结算统计
export function statisticsRefound(params) {
  return request({
    url: "train/statistics/refound",
    method: "get",
    params,
  });
}
//退票列表
export function statisticsPageRefound(params) {
  return request({
    url: "train/statistics/page/refound",
    method: "get",
    params,
  });
}

//导出出票
export function orderExport(params) {
  return request({
    url: "train/statistics/page/order/export",
    method: "get",
    params,
    responseType: "blob",
  });
}
//导出退票
export function refoundExport(params) {
  return request({
    url: "train/statistics/page/refound/export",
    method: "get",
    params,
    responseType: "blob",
  });
}

// data为服务端返回的流数据
export const exportExcel = (data, fileName) => {
  const blob = new Blob([data], { type: "application/vnd.ms-excel" });
  const link = document.createElement("a");
  if (
    !!window.ActiveXObject ||
    "ActiveXObject" in window ||
    navigator.userAgent.indexOf("Edge") > -1
  ) {
    navigator.msSaveBlob(blob, fileName);
  } else {
    link.style.display = "none";
    link.href = URL.createObjectURL(blob);
    link.download = fileName;
    document.body.appendChild(link);
    link.click();
    URL.revokeObjectURL(link.href); // 释放URL 对象
    document.body.removeChild(link);
  }
};
