function checkAuthority(permissionCode, permissions) {
  let hasPermission = true;

  if (permissionCode) {
    if (permissionCode instanceof Array && permissionCode.length > 0) {
      hasPermission = permissions.some((it) => permissionCode.includes(it));
    } else {
      hasPermission = permissions.some((item) => item === permissionCode);
    }
  }
  return hasPermission;
}
const authority = {
  inserted(el, binding) {
    const { value } = binding;
    const permissions = [
      "Table_Write",
      "Table_Read",
      "Form_Write",
      "Form_Read",
    ];
    const hasPermission = checkAuthority(value, permissions);
    if (!hasPermission) {
      if (el.parentNode) {
        el.parentNode.removeChild(el);
      } else {
        el.innerHTML = "";
      }
    } else {
      el && el.setAttribute("code", value);
    }
  },
};
export default authority;
