import Vue from "vue";
import axios from "axios";
import App from "./App.vue";
import router from "./router";
import store from "./store/index";
import ElementUI from "element-ui";
import clipboard from "v-clipboard";
import Utils from "./common/utils";
import "element-ui/lib/theme-chalk/index.css";
import Pagination from "@/components/Pagination";
import authority from "./directives/authority";
// 适配
import "amfe-flexible";
import "amfe-flexible/index.js";

import "./style/element-variables.scss";
import Theme from "./utils/theme";
Vue.prototype.$theme = new Theme();
axios.defaults.baseURL = process.env.VUE_APP_BASE_API;
axios.defaults.headers.post["Content-Type"] =
  "application/x-www-form-urlencoded;charset=UTF-8";
// axios.defaults.headers['authorization'] = sessionStorage.getItem("user") ? JSON.parse(sessionStorage.getItem("user")).token : '';
axios.defaults.withCredentials = true;

Vue.config.productionTip = false;
Vue.use(ElementUI);
Vue.prototype.$http = axios;
Vue.prototype.Utils = Utils;
Vue.component("Pagination", Pagination);
Vue.directive("authority", authority);
Vue.prototype.$superConfirm = Utils.superConfirm;

Vue.use(clipboard);

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
