

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for flight_order
-- ----------------------------
DROP TABLE IF EXISTS `flight_order`;
CREATE TABLE `flight_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` varchar(50) DEFAULT NULL COMMENT '订单id',
  `order_serial_id` varchar(50) DEFAULT NULL COMMENT 'OTA订单流水号',
  `order_status` varchar(12) DEFAULT NULL COMMENT '订单状态：N-已付款，S-出票中，J-订单已驳回，F-出票完成 ，T-所有乘客退票完成，C-订单已取消',
  `order_status_desc` varchar(50) DEFAULT NULL COMMENT '订单状态',
  `flight_no` varchar(50) DEFAULT NULL COMMENT '实际承运航班号',
  `flight_no_gongxiang` varchar(50) DEFAULT NULL COMMENT '共享航班号',
  `flight_type` varchar(50) DEFAULT NULL COMMENT '行程类型：S-单程，D-往返',
  `flight_way` varchar(50) DEFAULT NULL COMMENT '行程类型',
  `order_desc` varchar(120) DEFAULT NULL COMMENT '订单描述，一般为航程中文信息，如：北京-上海',
  `order_create_time` varchar(32) DEFAULT NULL COMMENT '下单日期，如：2015-12-01 00:00:00',
  `pnr` varchar(120) DEFAULT NULL COMMENT '订单中乘客对应的PNR,可能有多个，PNR之间用英文逗号隔开',
  `big_pnr` varchar(50) DEFAULT NULL COMMENT '大编码',
  `cpnr` varchar(50) DEFAULT NULL COMMENT '儿童PNR编码',
  `cbig_pnr` varchar(50) DEFAULT NULL COMMENT '儿童大编码',
  `all_price` float(18,2) DEFAULT NULL COMMENT '总价',
  `all_face_price` float(18,2) DEFAULT NULL COMMENT '订单中所有乘客票面价之和',
  `all_sale_price` float(18,2) DEFAULT NULL COMMENT '应付供应金额，精确到小数点后两位，公式：票面价*（1-返点）*乘客数量',
  `all_tax_price` int DEFAULT NULL COMMENT '总机建燃油，订单所有乘客机建燃油费之和',
  `policy_id` varchar(250) DEFAULT NULL COMMENT '供应商政策--政策代码',
  `police_type` varchar(50) DEFAULT NULL COMMENT '政策类型，1-普通政策，21-特价舱政策，40-见舱低折扣政策，41-见舱低价格政策，42-固舱政策',
  `police_type_desc` varchar(50) DEFAULT NULL COMMENT '政策类型',
  `policy_remark` varchar(500) DEFAULT NULL COMMENT '政策备注',
  `policy_code_extend` varchar(50) DEFAULT NULL COMMENT '政策扩展代码',
  `benefit` float(18,2) DEFAULT NULL COMMENT '返点，精确到小数点后1位，范围【0.1，25）',
  `contract_name` varchar(120) DEFAULT NULL COMMENT '联系人',
  `contract_mobiel` varchar(120) DEFAULT NULL COMMENT '联系人电话',
  `passengers` varchar(250) DEFAULT NULL COMMENT '乘机人',
  `take_off_time` varchar(32) DEFAULT NULL COMMENT '起飞日期，如：2015-12-08 00:00:00',
  `arrival_time` varchar(32) DEFAULT NULL COMMENT '到达日期，如：2015-12-08 00:00:00',
  `depport` varchar(12) DEFAULT NULL COMMENT '起始机场三字码',
  `depport_desc` varchar(50) DEFAULT NULL COMMENT '起始机场',
  `arrport` varchar(12) DEFAULT NULL COMMENT '抵达机场三字码',
  `arrport_desc` varchar(50) DEFAULT NULL COMMENT '抵达机场',
  `operator` varchar(50) DEFAULT 'system' COMMENT '操作人',
  `real_operator` varchar(50) DEFAULT 'system' COMMENT '操作人 区分是否是真实人工出票',
  `lock_status` int(4) DEFAULT '0' COMMENT '是否锁单，0：否，1：是',
  `aircompany_pay_order_no` varchar(500) DEFAULT NULL COMMENT '支付订单号',
  `aircompany_order_no` varchar(50) DEFAULT NULL COMMENT '航空订单id',
  `aircompany_order_price` float(18,2) DEFAULT NULL COMMENT '航空订单价格',
  `aircompany_order_paytype` varchar(50) DEFAULT NULL COMMENT '航司支付方式',
  `aircompany_order_iphone` varchar(50) DEFAULT NULL COMMENT '国航订单占座手机号',
  `aircompany_account_id` varchar(50) DEFAULT NULL COMMENT '航空账号id',
  `aircompany_account` varchar(50) DEFAULT NULL COMMENT '航空账号',
  `aircompany_password` varchar(50) DEFAULT NULL COMMENT '航空账号密码',
  `aircompany_actual_amount` float (18,2)DEFAULT NULL COMMENT '订单实际金额（供应商金额）',
  `order_profit` float(18,2) DEFAULT NULL COMMENT '利润',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `ticketed_time` datetime DEFAULT NULL COMMENT '出票时间',
  `order_source` varchar(50) DEFAULT NULL COMMENT 'OTA订单来源',
  `pay_url` varchar(500) DEFAULT NULL COMMENT '支付url',
  `discount_code` varchar(2048) DEFAULT NULL COMMENT '优惠卷',
  `agent_id` int(4) DEFAULT NULL COMMENT '代理来源',
  `agent_name` varchar(50) DEFAULT NULL COMMENT '代理账号',
  `pay_type` varchar(50) DEFAULT NULL COMMENT '支付类型',
  `pay_uuid` varchar(500) DEFAULT NULL COMMENT '支付uuid',
  `pay_Iphon` varchar(50) DEFAULT NULL COMMENT '支付手机号',
  `pay_acccountno` varchar(50) DEFAULT NULL COMMENT '支付卡号',
  `pay_accountpwd` varchar(50) DEFAULT NULL COMMENT '支付密码',
  `last_ticket_time` datetime DEFAULT NULL COMMENT '最晚出票时间',
  `passenger_count` int  DEFAULT NULL COMMENT '乘客数量',
  `auto_type` int(4) DEFAULT '0' COMMENT '0.初始状态 1.占座 2.支付 3、4.获取票号 5.没有可用账号',
  `buss_type` varchar(50) DEFAULT NULL COMMENT '业务类型',
  `auto_check_type` int(4) DEFAULT '0' COMMENT '校验类型',
  `remark` varchar(1200) DEFAULT NULL COMMENT '备注',
  `plantform_order_id` varchar(50) DEFAULT NULL COMMENT '平台订单ID',
  `flight_status` int(4) DEFAULT '0' COMMENT '客票使用状态 -1.查询失败 0.初始状态 1.已乘机 2.已售票 3.已退票',
  `flight_status_des` varchar(50) DEFAULT NULL,
  `relateOrderIds` varchar(200) default null  COMMENT '关联订单号',
   `other_add` int(4) default '0' COMMENT '其他收入',
   `other_sub` int(4) default '0' COMMENT '其他支出',
  PRIMARY KEY (`id`),
  KEY `order_serial_id` (`order_serial_id`),
  KEY `order_id` (`order_id`),
  KEY `order_status` (`order_status`),
  KEY `dport` (`dport`),
  KEY `aport` (`aport`),
  KEY `order_create_time` (`order_create_time`),
  KEY `take_off_time` (`take_off_time`),
  KEY `passengers` (`passengers`),
  KEY `contract_name` (`contract_name`),
  KEY `agent_id` (`agent_id`),
  KEY `flight_no` (`flight_no`),
  KEY `policy_id` (`policy_id`),
  KEY `police_type` (`police_type`),
  KEY `order_source` (`order_source`),
  KEY `policy_code_extend` (`policy_code_extend`),
  KEY `agent_name` (`agent_name`),
  KEY `create_time` (`create_time`),
  KEY `ticketed_time` (`ticketed_time`),
  KEY `last_ticket_time` (`last_ticket_time`),
  KEY `update_time` (`update_time`),
  KEY `auto_type` (`auto_type`),
  KEY `aircompany_order_no` (`aircompany_order_no`),
  KEY `lock_status` (`lock_status`),
  KEY `real_operator` (`real_operator`),
  KEY `operator` (`operator`),
  KEY `aircompany_account` (`aircompany_account`),
  KEY `auto_check_type` (`auto_check_type`),
  KEY `police_type_desc` (`police_type_desc`),
  KEY `buss_type` (`buss_type`),
  KEY `flight_status` (`flight_status`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='机票订单表';
