
SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for flight_order_passenger
-- ----------------------------
DROP TABLE IF EXISTS `flight_order_passenger`;
CREATE TABLE `flight_order_passenger` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` varchar(50) DEFAULT NULL COMMENT '订单id',
  `passenger_name` varchar(120) DEFAULT NULL COMMENT '乘客姓名',
  `passenger_type` int DEFAULT NULL COMMENT '乘客类型，1-成人，2-儿童，3-婴儿',
  `passenger_type_desc` varchar(50) DEFAULT NULL COMMENT '乘客类型',
  `cert_type` int DEFAULT NULL COMMENT '证件类型，0：身份证 1：护照 2：军官证 3：回乡证 5：台胞证 9：其他',
  `cert_type_desc` varchar(50) DEFAULT NULL COMMENT '证件类型',
  `cert_no` varchar(50) DEFAULT NULL COMMENT '证件号',
  `face_price` int DEFAULT NULL COMMENT '票面价',
  `sale_price` float (18,2) DEFAULT NULL COMMENT '销售价，票面价*（1-返点）',
  `airport_tax` int DEFAULT NULL COMMENT '机场建设费',
  `oile_fee` int DEFAULT NULL COMMENT '燃油费',
  `all_price` double DEFAULT NULL COMMENT '平台价格',
  `pay_price` double DEFAULT NULL COMMENT '航司价格',
  `eticket_no` varchar(50) DEFAULT NULL COMMENT '电子客票号',
  `office_no` varchar(50) DEFAULT NULL COMMENT '订位Office号--携程',
  `cabin_code` varchar(50) DEFAULT NULL COMMENT '实际舱位，该字段目前无实际含义，若要获取乘客实际舱位，以subclass为准',
  `sub_pnr` varchar(50) DEFAULT NULL COMMENT '乘客实际PNR',
  `sub_big_pnr` varchar(50) DEFAULT NULL COMMENT '乘客实际大编码',
  `birthday` varchar(32) DEFAULT NULL COMMENT '生日',
  `gender` int(4) DEFAULT NULL COMMENT '性别',
  `is_auto` int(4) DEFAULT NULL COMMENT '是否是自动出票，1：是',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `is_seated` int(4) DEFAULT '0' COMMENT '是否占座，0.否 1.是',
  `aircom_order_no` varchar(50) DEFAULT NULL COMMENT '航司订单号',
  `aircom_user_name` varchar(50) DEFAULT NULL COMMENT '航司账号',
  `aircom_password` varchar(50) DEFAULT NULL COMMENT '航司密码',
  `aircom_pay_url` varchar(50) DEFAULT NULL COMMENT '支付地址',
  `order_price` float (18,2) DEFAULT NULL COMMENT '占座价格',
  `ticket_channel` varchar(50) DEFAULT NULL COMMENT '出票渠道',
  `pay_order_no` varchar(50) DEFAULT NULL COMMENT '支付订单号',
  `pay_order_price` varchar(50) DEFAULT NULL COMMENT '支付金额',
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `is_seated` (`is_seated`),
  KEY `passenger_name` (`passenger_name`),
  KEY `eticket_no` (`eticket_no`),
  KEY `cert_type` (`cert_type`),
  KEY `passenger_type` (`passenger_type`),
  KEY `ticket_channel` (`ticket_channel`),
  KEY `pay_order_no` (`pay_order_no`),
  KEY `sub_pnr` (`sub_pnr`),
  KEY `sub_big_pnr` (`sub_big_pnr`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='机票订单乘机人表';
