

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for flight_order_segments
-- ----------------------------
DROP TABLE IF EXISTS `flight_order_segments`;
CREATE TABLE `flight_order_segments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` varchar(50) DEFAULT NULL COMMENT '订单id',
  `sequence` int(11) DEFAULT NULL COMMENT '航程序号：1-第一程，2-第二程',
  `sequence_desc` varchar(50) DEFAULT NULL COMMENT '航程序号',
  `flight_no` varchar(50) DEFAULT NULL COMMENT '实际承运航班号，如：MU1234',
  `flight_no_gongxiang` varchar(50) DEFAULT NULL COMMENT '共享航班号',
  `flight_class` varchar(50) DEFAULT NULL COMMENT '舱位等级：F-头等舱，C-公务舱，Y-经济舱',
  `flight_class_desc` varchar(50) DEFAULT NULL COMMENT '舱位等级',
  `sub_class` varchar(50) DEFAULT NULL COMMENT '客人下单舱位',
  `sub_class_desc` varchar(50) DEFAULT NULL COMMENT '客人下单舱位',
  `dep_code` varchar(50) DEFAULT NULL COMMENT '起始机场三字码，如：SHA',
  `dep_desc` varchar(50) DEFAULT NULL COMMENT '起始机场',
  `arr_code` varchar(50) DEFAULT NULL COMMENT '抵达机场三字码，如：PEK',
  `arr_desc` varchar(50) DEFAULT NULL COMMENT '抵达机场',
  `take_off_time` varchar(50) DEFAULT NULL COMMENT '起飞日期，如：2015-12-08 00:00:00',
  `arrival_time` varchar(50) DEFAULT NULL COMMENT '到达时间，如：2015-12-08 00:00:00',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`),
  KEY `dep_code` (`dep_code`),
  KEY `arr_code` (`arr_code`),
  KEY `flight_no` (`flight_no`),
  KEY `flight_no_gongxiang` (`flight_no_gongxiang`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='机票订单航班表';
