import {
  listAll,
  ticketType,
  seatType,
  orderStatusType,
  cardType,
} from "@/api/train.js";
function filterStation(list, listAll) {
  let arr = [];
  list.forEach((item) => {
    listAll.forEach((el) => {
      if (item == el.firstLetter) {
        arr.push(el);
      }
    });
  });
  return arr;
}
const state = {
  stationAll: [], //所有车站
  stationTeam: {}, //车站分组
  orderStatus: {},
  allSeatType: {},
  ticketTypes: {},
  seatTypes: {},
  orderStatusTypes: {},
  cardTypes: {},
};
const mutations = {
  // 添加车站信息
  ADD_STATION_ALL: (state, obj) => {
    state.stationAll = obj.listAll;
    state.stationTeam = obj.team;
  },
  //乘客类型
  ADD_ticketType_ALL: (state, obj) => {
    state.ticketTypes = obj;
  },
  //坐席类型
  ADD_seatType_ALL: (state, obj) => {
    state.seatTypes = obj;
  },
  //订单状态
  ADD_orderStatusType_ALL: (state, obj) => {
    state.orderStatusTypes = obj;
  },
  //证件类型
  ADD_cardType_ALL: (state, obj) => {
    state.cardTypes = obj;
  },
};
const actions = {
  // 新增当前路由标签
  addStation({ commit }) {
    listAll().then((res) => {
      if (res && res.data && res.data.code == 200) {
        let listAll = res.data.data;
        let team = {};
        team.reimeng = filterStation(["热门"], listAll);
        team.ABCD = filterStation(["A", "B", "C", "D"], listAll);
        team.EFGH = filterStation(["E", "F", "G", "H"], listAll);
        team.JKLM = filterStation(["J", "K", "L", "M"], listAll);
        team.NPQRS = filterStation(["N", "P", "Q", "R", "S"], listAll);
        team.TWX = filterStation(["T", "W", "X"], listAll);
        team.YZ = filterStation(["Y", "Z"], listAll);
        commit("ADD_STATION_ALL", { listAll, team });
      }
    });
  },
  //乘客类型
  addTicketType({ commit }) {
    ticketType().then((res) => {
      let obj = {};
      if (res && res.data && res.data.code == 1) {
        if (res.data.data) {
          res.data.data.forEach((item) => {
            obj[item.selfCode] = item.name;
          });
        }
        commit("ADD_ticketType_ALL", obj);
      }
    });
  },
  //坐席类型
  addSeatType({ commit }) {
    seatType().then((res) => {
      let obj = {};
      if (res && res.data && res.data.code == 1) {
        if (res.data.data) {
          res.data.data.forEach((item) => {
            obj[item.selfCode] = item.name;
          });
        }
        commit("ADD_seatType_ALL", obj);
      }
    });
  },
  //订单状态
  addOrderStatusType({ commit }) {
    orderStatusType().then((res) => {
      let obj = {};
      if (res && res.data && res.data.code == 1) {
        if (res.data.data) {
          res.data.data.forEach((item) => {
            obj[item.code] = item.name;
          });
        }
        commit("ADD_orderStatusType_ALL", obj);
      }
    });
  },
  //证件类型
  addCardType({ commit }) {
    cardType().then((res) => {
      let obj = {};
      if (res && res.data && res.data.code == 1) {
        if (res.data.data) {
          res.data.data.forEach((item) => {
            obj[item.selfCode] = item.name;
          });
        }
        commit("ADD_cardType_ALL", obj);
      }
    });
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
