export const validPhone = (rule, value, callback) => {
  if (value === "") {
    callback(new Error("请输入联系方式"));
  } else {
    let phone = /^((0\d{2,3}-\d{7,8})|(1[345789]\d{9}))$/;
    if (phone.test(value) === true) {
      callback();
    } else {
      callback(new Error("请输入正确的联系方式"));
    }
  }
};
//日期
export const ruleTime1 = (rule, value, callback, form) => {
  /*外国人永久居留身份证、护照——填写国家 有效日期 出生日期
      港澳居民来往内地通行证、台湾居民来往大陆通行证 ——有效日期 出生日期
      港澳台居民居住证、二代身份证——一样
    */
  let index = rule.fullField.split("bizTeamListDTO[")[1].split("]")[0];
  let type = form.bizTeamListDTO[index].certificateType;
  if (type != "1" && type != "I") {
    if (value) {
      callback();
    } else {
      callback(new Error("请选择日期"));
    }
  } else {
    callback();
  }
};
// 自定义证件ID验证规则
export const validatePass1 = (rule, value, callback, form) => {
  let index = rule.fullField.split("bizTeamListDTO[")[1].split("]")[0];
  switch (form.bizTeamListDTO[index].certificateType) {
    case "1":
      var id =
        /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}([0-9]|x|X)$/;
      if (value === "") {
        callback(new Error("请输入请件号"));
      } else {
        if (id.test(value) === true) {
          callback();
        } else {
          callback(new Error("请输入的身份证号有误"));
        }
      }
      break;
    case "B":
      if (value) {
        callback();
      } else {
        callback(new Error("请输入护照号"));
      }

      break;
    case "G":
      if (value) {
        callback();
      } else {
        callback(new Error("请输入台胞证号"));
      }

      break;
    case "C":
      if (value) {
        callback();
      } else {
        callback(new Error("请输入港澳通行证号"));
      }
      break;
    case "H":
      if (value) {
        callback();
      } else {
        callback(new Error("请输入外国人永久居住身份证号"));
      }
      break;
    case "I":
      if (value) {
        callback();
      } else {
        callback(new Error("请输入港澳台居民居住证号"));
      }
      break;
    default:
      callback();
      break;
  }
};
